var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");
class ConfigAPI extends APIBase {
    constructor() {
        super();
        this.metaS = system.getObject("service.common.metaSve");
    }
    //返回
    async fetchAppConfig(pobj, qobj, req) {
        var cfg = await this.metaS.getUiConfig(settings.appKey, null, 100);
        if (cfg) {
            return system.getResultSuccess(cfg);
        }
        return system.getResultFail();
    }
    exam(){
        return "xxx";
    }
    classDesc() {
        return {
            groupName: "",
            groupDesc: "",
            name: "",
            desc: "",
            exam: "",
        };
    }
    methodDescs() {
        return [
            {
                methodDesc: "",
                methodName: "",
                paramdescs: [
                    {
                        paramDesc: "",
                        paramName: "",
                        paramType: "",
                        defaultValue: "",
                    }
                ],
                rtnTypeDesc: "",
                rtnType: ""
            }
        ];
    }
}
module.exports = ConfigAPI;